require_dependency "token_server/application_controller"

module TokenServer
    class TokensController < ApplicationController
        def create
            user_payload = {
                "user": {
                    user_id:            @current_user.user_id,
                    #  Should not be sent!! password:           @current_user.password,
                    is_plugin_manager:  @current_user.is_plugin_manager
                },
                credentials_hash:       @current_user.credentials_hash
            }

            @token = ::Knock::AuthToken.new payload: user_payload
        end
    end
end
