require 'symbolize_helper'
module TokenServer
    class User
        include ActiveModel::Model

        attr_accessor :user_id
        attr_accessor :password
        attr_accessor :credentials_hash
        attr_accessor :is_plugin_manager

        # This method extracts the payload that is stored within the token.
        # The payload is a hash that contains the following information:
        # {
        #   "user": {
        #       "user_id"           : "xyz",
        #       "password"          : "zzdda",
        #       "is_plugin_manager" : true
        #   }
        #   "credentials_hash": { .. some hash }
        # }
    end
end
